GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
gdcm::SHA1 Class Reference

Class for SHA1. More...

`#include <gdcmSHA1.h>`

## Public Member Functions

| SHA1 ()
| ~SHA1 ()

## Static Public Member Functions

static bool | Compute (const char *buffer, unsigned long buf_len, char digest_str[20 *2+1])
static bool | ComputeFile (const char *filename, char digest_str[20 *2+1])

## Detailed Description

Class for SHA1.

Warning
  this class is able to pick from one implementation:

1. the one from OpenSSL (when GDCM_USE_SYSTEM_OPENSSL is turned ON)

In all other cases it will return an error

## Constructor & Destructor Documentation

gdcm::SHA1::SHA1 | ( |  | ) |

gdcm::SHA1::~SHA1 | ( |  | ) |

## Member Function Documentation

static bool gdcm::SHA1::Compute | ( | const char * | buffer,
|  | unsigned long | buf_len,
|  | char | digest_str[20 *2+1]
| ) |  |

static

static bool gdcm::SHA1::ComputeFile | ( | const char * | filename,
|  | char | digest_str[20 *2+1]
| ) |  |

static

The documentation for this class was generated from the following file:

- gdcmSHA1.h